package com.nisum.ecomservice.controller;

import com.nisum.ecomservice.model.CartItem;
import com.nisum.ecomservice.model.Product;
import com.nisum.ecomservice.model.User;
import com.nisum.ecomservice.repository.UserRepository;
import com.nisum.ecomservice.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

@RestController
@RequestMapping("/api/users")
@CrossOrigin(origins = "*")
public class UsersController {
    @Autowired
    private UserService userService;

    @Autowired
    private UserRepository userRepository;

    @GetMapping()
    private Flux<User> getUsers(){
        System.out.println(
                "get users"
        );
        return userService.getUsers();
    }

}
