package com.nisum.ecomservice.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Document(collection = "carts")
@Getter
@Setter
@AllArgsConstructor
public class Cart {
    @Id
    private String id;
    private String userId;
    private List<CartItem> cartItems;
}
